kinds: work types (installation, maintenance, repair) the partner can perform for that sub-service.curl --location '/api/v1/partner/profile/competencies?page=undefined&per_page=undefined&sort_by=undefined&sort_order=undefined' \
--header 'Authorization: Bearer <token>'{
"success": true,
"data": [
{
"id": 1,
"sub_service": {
"id": 1,
"name": "AC Installation"
},
"service": {
"id": 1,
"name": "HVAC"
},
"kinds": [
"installation",
"maintenance",
"repair"
],
"created_at": "2025-01-15T09:00:00Z",
"updated_at": "2025-01-15T09:00:00Z"
},
{
"id": 2,
"sub_service": {
"id": 2,
"name": "AC Maintenance"
},
"service": {
"id": 1,
"name": "HVAC"
},
"kinds": [
"maintenance",
"repair"
],
"created_at": "2025-01-20T09:00:00Z",
"updated_at": "2025-01-20T09:00:00Z"
}
],
"meta": {
"page": 1,
"per_page": 20,
"total_count": 2,
"total_pages": 1,
"prev_page": null,
"next_page": null
}
}